Bug 309941 - grace is not built with netcdf support
grace is not built with netcdf support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 16:07 EDT by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 5.1.21-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-09-27 16:07:14 EDT
Description of problem:
grace is not built with netCDF support even though the spec file
seems to implement this.

Version-Release number of selected component (if applicable):
grace-5.1.21-3.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Rebuild grace binary package from SRPM.
  
Actual results:
checking for netCDF API version >= 3.0... no
--> support for netCDF is disabled

Expected results:
netCDF is enabled and the binary is linked against some netCDF library.

Additional info:
- extra link path in spec file is obsolete,
- xmgrace is not linked against any netCDF library; it only depends on

  linux-gate.so.1 =>  (0x0012d000)
  libXbae.so.4 => /usr/lib/libXbae.so.4 (0x0012e000)
  libXm.so.2 => /home/frieben/lib/libXm.so.2 (0x00172000)
  libXpm.so.4 => /usr/lib/libXpm.so.4 (0x00358000)
  libXp.so.6 => /usr/lib/libXp.so.6 (0x00369000)
  libXt.so.6 => /usr/lib/libXt.so.6 (0x00371000)
  libXext.so.6 => /usr/lib/libXext.so.6 (0x003c8000)
  libX11.so.6 => /usr/lib/libX11.so.6 (0x003d8000)
  libSM.so.6 => /usr/lib/libSM.so.6 (0x004d4000)
  libICE.so.6 => /usr/lib/libICE.so.6 (0x004dd000)
  libfftw.so.2 => /usr/lib/libfftw.so.2 (0x004f7000)
  libt1.so.5 => /usr/lib/libt1.so.5 (0x00524000)
  libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x0057b000)
  libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0059d000)
  libz.so.1 => /lib/libz.so.1 (0x005c3000)
  libm.so.6 => /lib/libm.so.6 (0x005d6000)
  libdl.so.2 => /lib/libdl.so.2 (0x005ff000)
  libc.so.6 => /lib/libc.so.6 (0x00604000)
  libXmu.so.6 => /usr/lib/libXmu.so.6 (0x0075c000)
  libXau.so.6 => /usr/lib/libXau.so.6 (0x00773000)
  libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00776000)
  libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00778000)
  /lib/ld-linux.so.2 (0x00110000)
  libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00794000)
Comment 1 José Matos 2007-09-28 19:37:07 EDT
The new version of netcdf has shared libraries and it seems to have changed 
the signature for version. That confuses configure that wrongly states that it 
can not find netcdf.

I have patched configure to recognise the new version.

I have removed the (now) spurious line for extra lib.

I have added in the process the dependency for libXmu that configure also 
searches for and we have.

Grace build for F-8 in
http://koji.fedoraproject.org/koji/taskinfo?taskID=178312

I will use this spec file and backport the fix to F-7. In this case the new 
version will use the shared library for netcdf instead of the static version.
Comment 2 Joachim Frieben 2007-09-29 02:30:18 EDT
Good job, the package builds correctly now, and the binary actually does
depend on netCDF:

  libnetcdf.so.4 => /usr/lib/libnetcdf.so.4 (0x004fd000)
Comment 3 Fedora Update System 2007-10-03 17:17:31 EDT
grace-5.1.21-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grace'
Comment 4 Fedora Update System 2007-10-10 21:43:43 EDT
grace-5.1.21-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.